Get statement | Moov Documentation

Get statement

Retrieve a statement by its ID.

Use the Accept header to specify the format of the response. Supported formats are application/json and application/pdf.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.read scope.

GET

/accounts/{accountID}/statements/{statementID}

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/statements/{statementID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.statements.get({
    accountID: "5623ff52-0b05-41ea-b7b3-655835064007",
    statementID: "9d45acbf-c4fe-4843-846c-eaa43c9ca17f",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\